Skip to main content
PUT
/
networks
/
offerurls
/
{offerUrlId}
Update Offer URL
curl --request PUT \
  --url https://api.eflow.team/v1/networks/offerurls/{offerUrlId} \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "network_offer_url_id": 1,
  "network_offer_id": 6,
  "name": "Offer URL Name",
  "destination_url": "https://destination-url.com/?tid={transaction_id}",
  "preview_url": "https://preview-url.com",
  "url_status": "active",
  "network_affiliate_ids": [
    7,
    14
  ],
  "is_apply_specific_affiliates": true,
  "is_hidden_affiliate": true
}
'
import requests

url = "https://api.eflow.team/v1/networks/offerurls/{offerUrlId}"

payload = {
"network_offer_url_id": 1,
"network_offer_id": 6,
"name": "Offer URL Name",
"destination_url": "https://destination-url.com/?tid={transaction_id}",
"preview_url": "https://preview-url.com",
"url_status": "active",
"network_affiliate_ids": [7, 14],
"is_apply_specific_affiliates": True,
"is_hidden_affiliate": True
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
network_offer_url_id: 1,
network_offer_id: 6,
name: 'Offer URL Name',
destination_url: 'https://destination-url.com/?tid={transaction_id}',
preview_url: 'https://preview-url.com',
url_status: 'active',
network_affiliate_ids: [7, 14],
is_apply_specific_affiliates: true,
is_hidden_affiliate: true
})
};

fetch('https://api.eflow.team/v1/networks/offerurls/{offerUrlId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "network_offer_url_id": 123,
  "network_id": 123,
  "network_offer_id": 123,
  "name": "<string>",
  "destination_url": "<string>",
  "preview_url": "<string>",
  "network_affiliate_ids": [
    123
  ],
  "is_apply_specific_affiliates": true,
  "is_hidden_affiliate": true,
  "time_created": 1734455015,
  "time_saved": 1734455015,
  "remote_offer_resource": {
    "network_offer_id": 123,
    "network_id": 123,
    "resource_type": "<string>",
    "remote_resource_id": "<string>",
    "resource_id": 123,
    "last_value_md5": "<string>",
    "json_config": "<string>",
    "json_data": "<string>",
    "time_created": 1734455015,
    "time_saved": 1734455015
  }
}
Update an existing offer URL. All fields must be included in the request body — any omitted fields will be reset to defaults. Retrieve the current offer URL first with GET, modify the needed fields, and send the full object back.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

offerUrlId
integer
required

The offer URL ID.

Body

application/json
network_offer_url_id
integer
required

The unique ID of the offer URL.

network_offer_id
integer
required

The ID of the offer to which this offer URL is associated.

name
string
required

The name of the offer URL.

destination_url
string
required

The URL the offer URL will redirect to.

is_apply_specific_affiliates
boolean
required

Determines whether this offer URL applies to all affiliates or only to a select few. When true, the network_affiliate_ids array must be filled.

is_hidden_affiliate
boolean
required

Determines whether affiliates will see this offer URL or not in the affiliate UI / API.

preview_url
string

A preview URL, if it exists.

url_status
enum<string>

Status of the offer URL setting.

Available options:
active,
paused,
deleted
network_affiliate_ids
integer[] | null

The IDs of the affiliates that are to be affected by the offer URL. Only relevant when is_apply_specific_affiliates is true.

Response

200 - application/json
network_offer_url_id
integer

Unique offer URL ID.

network_id
integer

Network ID.

network_offer_id
integer

The ID of the offer to which this offer URL is associated.

name
string

The name of the offer URL.

destination_url
string

The URL the offer URL will redirect to.

preview_url
string

A preview URL, if it exists.

url_status
enum<string>

Status of the offer URL setting.

Available options:
active,
paused,
deleted
network_affiliate_ids
integer[] | null

The IDs of the affiliates that are to be affected by the offer URL. Only relevant when is_apply_specific_affiliates is true.

is_apply_specific_affiliates
boolean

Determines whether this offer URL applies to all affiliates or only to a select few. When true, the network_affiliate_ids array must be filled.

is_hidden_affiliate
boolean

Determines whether affiliates will see this offer URL or not in the affiliate UI / API.

time_created
integer

Unix timestamp of creation.

Example:

1734455015

time_saved
integer

Unix timestamp of last update.

Example:

1734455015

remote_offer_resource
object

Remote offer resource configuration.